#include "widget.h"

#include <QApplication>
#include "mapcore.h"
#include "datatypeconfigration.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
//    Widget w;
//    w.show();
    MapCore core;
    auto target = std::make_shared<const DownAccess>(std::make_shared<TypeTemplate>());
    core.setRoot(target);
    auto tnode0 = std::make_shared<const DownAccess>(std::make_shared<TypeTemplate>());
    auto tnode1 = std::make_shared<const DownAccess>(std::make_shared<TypeTemplate>());
    auto tnode2 = std::make_shared<const DownAccess>(std::make_shared<TypeTemplate>());
    tnode0 = tnode0->append(tnode1);
    target = target->append(tnode0);
    target = target->append(tnode2);
    
    DataConfigration dialog(core, target);
    dialog.show();
    
    return a.exec();
}
