#ifndef MODULEINTERFACE_H
#define MODULEINTERFACE_H

#include <QWidget>
#include "moduleprototype.h"
#include "mapcore.h"

class ModuleInterface : public QWidget
{
    Q_OBJECT
public:
    explicit ModuleInterface(MapCore &core, std::shared_ptr<const ModulePrototype> target, QWidget *parent = nullptr);
    
signals:
    
private:
    MapCore &core_bind;
    std::shared_ptr<const ModulePrototype> target_bind;
};

#endif // MODULEINTERFACE_H
