#ifndef MODULEPROTOTYPE_H
#define MODULEPROTOTYPE_H

#include <QList>
#include <QHash>
#include <memory>
#include "dataprototype.h"

/**
 * @brief 模块原型
 */
class ModulePrototype : public RuntimeItem
{
private:
    QString module_name;
    
public:
    explicit ModulePrototype();
    explicit ModulePrototype(const ModulePrototype &other);
    
    QString name() const;
    std::shared_ptr<const ModulePrototype> setName(const QString &val) const;
    
    virtual std::shared_ptr<const RuntimeItem> clone() const override;
};


#endif // MODULEPROTOTYPE_H
